DIRS = mpeg_play mpeg_encode
CMD  = \
	for dir in $(DIRS); do \
	  echo $$dir: $@; \
	  $(MAKE) --no-print-directory -C $$dir $@; \
	done

.PHONY: all
.SILENT:

all:
	$(CMD)

test:
	for targ in all test; do \
	  echo mpeg_encode: $$targ; \
	  $(MAKE) --no-print-directory -C mpeg_encode $$targ; \
	done

.DEFAULT:
	$(CMD)
